Skip to content

Addresses


Once a tenant has a subscription, you have to define one or more physical addresses at subscription level. These addresses will be then linked to one or more numbers in the subscription. This allows our customers to be compliant with the emergency law.

List all addresses of a subscription

Use this endpoint to retrieve all addresses currently assigned to a subscription.

Request

Endpoint

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/addresses

Authorization

Required role

tenants.instance.subscriptions.instance.addresses.list

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the addresses

URL/Query parameters

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through full_address that look like the string passedno
sortstringAllows to specify one searchable property of an address to apply a sorting operationno
dirstringWhen performing a sort operation, specifies the type. Allowed values are asc for ascending (default) or desc for descendingno
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
pageintegerUsed for pagination, determines the returned page from the collection of result pages (defaults to 1)no

Response

Status codes

ParameterDescription
200One or more addresses found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success

Body
ParameterTypeDescriptionConditional?
addressesarrayList containing all addresses found for the subscriptionno
Address Object
ParameterTypeDescriptionConditional?
idintegerIndex of the addressno
addressstringFull addressno
dataobjectAn address data objectno
formatstringThe address format typeno
full_addressstringThe full addressno
Address Data Object
ParameterTypeDescriptionConditional?
numberintegerThe numberno
streetstringThe streetno
citystringThe cityno
statestringThe stateno
postalCodeintegerThe postal codeno
countrystringThe countryno
isoCodestringThe isoCodeno

Address Format Type

Name of the address format type.

Value in enumeration:

  • google
Example
json
{
    "addresses": [
        {
            "id": 1,
            "data": {
                "number": 12,
                "street": "Rue du Trône",
                "city": "Bruxelles",
                "state": "Bruxelles",
                "postalCode": 1050,
                "country": "Belgium",
                "isoCode": "BE"
            },
            "format": "google",
            "full_address": "Rue du Trône, 12, Bruxelles"
        }
    ]
}

Get a specific address

The following endpoint returns a specific address.

Request

Endpoint

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/addresses/{id}

Authorization

Required role

tenants.instance.subscription.instance.addresses.read

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to get its subscriptions
sub_idintegerIndex of the subscription for which you want to update a address
idintegerIndex of the address you want to retrieve

URL/Query parameters

N/A

Response

Status codes

ParameterDescription
200The address if found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No address found
500Uncatched error on server side

Success

Body
ParameterTypeDescriptionConditional?
idintegerIndex of the addressno
addressstringFull addressno
dataobjectAn address data objectno
formatstringThe address format typeno
full_addressstringThe full addressno
Example
json
{
    "id": 1,
    "data": {
        "number": 12,
        "street": "Rue du Trône",
        "city": "Bruxelles",
        "state": "Bruxelles",
        "postalCode": 1050,
        "country": "Belgium",
        "isoCode": "BE"
    },
    "format": "google",
    "full_address": "Rue du Trône, 12, Bruxelles"
}

Create a new address

Use this endpoint to create a new address

Request

Endpoint

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/addresses

Authorization

Required role

tenants.instance.subscriptions.instance.addresses.create

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription to which you want to add a address

URL/Query parameters

N/A

Body
ParameterTypeDescriptionConditional?
dataobjectAn address data objectno
formatstringThe address format typeno
full_addressstringThe full addressno

Example

json
{
    "data": {
        "number": 12,
        "street": "Rue du Trône",
        "city": "Bruxelles",
        "state": "Bruxelles",
        "postalCode": 1050,
        "country": "Belgium",
        "isoCode": "BE"
    },
    "format": "google"
}

Response

Status codes

ParameterDescription
201The address was created successfully
400Error while creating the address
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success

Body
ParameterTypeDescriptionConditional?
idintegerIndex of the addressno
addressstringFull addressno
dataobjectAn address data objectno
formatstringThe address format typeno
full_addressstringThe full addressno
Example
json
{
    "id": 1,
    "data": {
        "number": 12,
        "street": "Rue du Trône",
        "city": "Bruxelles",
        "state": "Bruxelles",
        "postalCode": 1050,
        "country": "Belgium",
        "isoCode": "BE"
    },
    "format": "google",
    "full_address": "Rue du Trône, 12, Bruxelles"
}

Modify an existing address

Use this endpoint to modify an existing address for a subscription.

Request

Endpoint

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/addresses/{id}

Authorization

Required role

tenants.instance.subscriptions.instance.addresses.instance.update

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to modify the address
sub_idintegerIndex of the subscription for which you want to update a address
idintegerIndex of the address you want to update

<URL/Query parameters>

N/A

Body

ParameterTypeDescriptionConditional?
dataobjectAn address data objectno
formatstringThe address format typeno
full_addressstringThe full addressno

Example

json
{
    "data": {
        "number": 15,
        "street": "Rue du Trône",
        "city": "Bruxelles",
        "state": "Bruxelles",
        "postalCode": 1050,
        "country": "Belgium",
        "isoCode": "BE"
    },
    "format": "google"
}

Response

Status codes

ParameterDescription
200The address was updated successfully
400Error while updating the address
403The API consumer doesn't have sufficient rights to perform this action
404The address does not exist
500Uncatched error on server side

Success

Body
ParameterTypeDescriptionConditional?
idintegerIndex of the addressno
addressstringFull addressno
dataobjectAn address data objectno
formatstringThe address format typeno
full_addressstringThe full addressno
Example
json
{
    "id": 1,
    "data": {
        "number": 15,
        "street": "Rue du Trône",
        "city": "Bruxelles",
        "state": "Bruxelles",
        "postalCode": 1050,
        "country": "Belgium",
        "isoCode": "BE"
    },
    "format": "google",
    "full_address": "Rue du Trône, 15, Bruxelles"
}

Delete a address

Use this endpoint to delete an existing address for a subscription on the platform.

Request

Endpoint

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/addresses/{id}

Authorization

Required role

tenants.instance.subscriptions.instance.addresses.instance.delete

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant that owns the subscription
sub_idintegerIndex of the subscription for which you want to delete a address
idintegerIndex of the address you want to delete

URL/Query parameters

N/A

Body

N/A

Response

Status codes

ParameterDescription
204The address was deleted successfully. If the address didn't exist, delete will be considered as being executed successfully
400Error while deleting the address
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success

Body

N/A

Bulk create addresses

Bulk API to handle addresses.

This endpoint internally will call the create APIs. This means that, once completed, a notification will be sent through email (if enabled).

Request

Endpoint

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/addresses/bulk

Authorization

Required role

tenants.instance.subscriptions.instance.addresses.bulk

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of a subscription to manage the bulk job for

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
namestringBulk job descriptive nameyes
dataarrayList of addresses bulk data objects to be updatedyes

Example

json
{
  "bulks": [
    {
      "created_on": "2025-09-04T14:27:50.277639",
      "id": 40,
      "job_id": "1756996070",
      "kind": "addresses",
      "status": "success",
      "success_count": 1,
      "title": "Create address",
      "total_count": 1,
      "updated_on": "2025-09-04T14:27:50.715226"
    }
  ],
  "page": 1,
  "pages": 1,
  "results": 1
}

Response

Status codes

ParameterDescription
200All address numbers were successfully updated
400None of address numbers were successfully updated
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncaught error on server side

Body

ParameterTypeDescriptionConditional?
codeintegerError code (see below for a complete error list)no
reasonstringMessage providing more context to the error that occurredno
Success example
json
{
    "code": 3076,
    "reason": "Addresses bulk provisioning process is started"
}

Get address numbers bulk jobs history

Retrieve the history of address numbers bulk jobs runs related to the given subscription.

Request

Endpoint

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/addresses/bulk_jobs

Authorization

Required role

tenants.instance.subscriptions.instance.addresses.bulk.jobs

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of a subscription to retrieve the bulk jobs history for

URL/Query parameters

ParameterTypeDescriptionRequired
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno
searchstringA case insensitive search on the bulk job title or kind (that contains the passed value)no
filtersarrayAn object representing the conditions to filter out the resultsno

Response

Status codes

ParameterDescription
200The list of the bulk jobs has been retrieved
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No bulk history found or the path tenant / subscription doesn't exist
500Uncaught error on server side

Success

Body
ParameterTypeDescriptionConditional?
bulksarrayThe list of the bulk jobs related to the given subscription_idno
resultsintegerTotal number of bulk jobs retrievedno
pagesintegerTotal number of pagesno
pageintegerCurrent pageno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of bulk jobs has to be continuedyes
Example
json
{
  "created_on": "2025-09-04T14:27:50.277639",
  "id": 40,
  "job_id": "1756996070",
  "job_items": [
    {
      "created_on": "2025-09-04T14:27:50.854857",
      "data": {
        "city": "Bruxelles",
        "country": "Belgium",
        "isoCode": "BE",
        "number": 5,
        "postalCode": 10650,
        "state": "Bruxelles",
        "street": "Rue de la Mer"
      },
      "id": 3,
      "key": "Rue de la Mer, 5, Bruxelles, Belgium",
      "status": "success",
      "updated_on": "2025-09-04T14:27:50.854857"
    }
  ],
  "kind": "addresses",
  "status": "success",
  "success_count": 1,
  "title": "Create address",
  "total_count": 1,
  "updated_on": "2025-09-04T14:27:50.715226"
}

Bulk update address numbers

Bulk API to handle address to numbers assignations.

This endpoint internally will call the update APIs. This means that, once completed, a notification will be sent through email (if enabled).

Request

Endpoint

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/address_numbers/bulk

Authorization

Required role

tenants.instance.subscriptions.instance.address_numbers.bulk

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of a subscription to retrieve the manage the bulk job for

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
namestringBulk job descriptive nameyes
dataarrayList of address numbers bulk data objects to be updatedyes

Example

json
{
  "name": "Bulk assign address to number",
  "data": [
    {
        "full_address": "Rue de la Mer, 5, Bruxelles, Belgium",
        "number": "+3226260128"
    },
    {
        "full_address": "Rue de la Mer, 5, Bruxelles, Belgium",
        "number": "+3226260130"
    }
  ]
}

Response

Status codes

ParameterDescription
200All address numbers were successfully updated
400None of address numbers were successfully updated
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncaught error on server side

Body

ParameterTypeDescriptionConditional?
codeintegerError code (see below for a complete error list)no
reasonstringMessage providing more context to the error that occurredno
Success example
json
{
    "code": 3067,
    "reason": "Address Numbers bulk provisioning process is started"
}

Get address numbers bulk jobs history

Retrieve the history of address numbers bulk jobs runs related to the given subscription.

Request

Endpoint

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/address_numbers/bulk_jobs

Authorization

Required role

tenants.instance.subscriptions.instance.address_numbers.bulk.jobs

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of a subscription to retrieve the bulk jobs history for

URL/Query parameters

ParameterTypeDescriptionRequired
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno
searchstringA case insensitive search on the bulk job title or kind (that contains the passed value)no
filtersarrayAn object representing the conditions to filter out the resultsno

Response

Status codes

ParameterDescription
200The list of the bulk jobs has been retrieved
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No bulk history found or the path tenant / subscription doesn't exist
500Uncaught error on server side

Success

Body
ParameterTypeDescriptionConditional?
bulksarrayThe list of the bulk jobs related to the given subscription_idno
resultsintegerTotal number of bulk jobs retrievedno
pagesintegerTotal number of pagesno
pageintegerCurrent pageno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of bulk jobs has to be continuedyes
Example
json
{
  "bulks": [
    {
      "created_on": "2025-09-05T10:13:21.050812",
      "id": 50,
      "job_id": "1757067200",
      "kind": "address_numbers",
      "status": "partial",
      "success_count": 1,
      "title": "Assign address to numbers",
      "total_count": 2,
      "updated_on": "2025-09-05T10:13:22.757355"
    },
    {
      "created_on": "2025-09-05T09:42:52.475829",
      "id": 49,
      "job_id": "1757065372",
      "kind": "address_numbers",
      "status": "partial",
      "success_count": 1,
      "title": "Assign address to numbers",
      "total_count": 2,
      "updated_on": "2025-09-05T09:42:54.093276"
    },
    {
      "created_on": "2025-09-05T09:15:26.911946",
      "id": 48,
      "job_id": "1757063726",
      "kind": "address_numbers",
      "status": "partial",
      "success_count": 1,
      "title": "Assign address to numbers",
      "total_count": 2,
      "updated_on": "2025-09-05T09:15:28.800659"
    }
  ],
  "page": 1,
  "pages": 1,
  "results": 3
}
Addresses bulk data objects
ParameterTypeDescriptionConditional?
full_addressstringThe full addressno
numberstringThe phone numberno
Address numbers bulk data objects
ParameterTypeDescriptionConditional?
full_addressstringThe full addressno
numberstringThe phone numberno